Subject: The times they are a-changing

From: "Nadav Har'El" <[email-masked]>
Date: Wed, 4 Sep 2002 16:02:49 +0300

Once in a while I search my archives of old email for something, and come
across an amusing email. Here is a 3-liner I wrote eleven years ago, when
I was the system administrator of the Math department's Sun machine (during
my first semester in the Technion):

------------------------------------
Date: Tue, 21 May 91 10:15:37 +0300
From: Nadav Har'El <[email-masked]>
Subject: giant core!

I`ve noticed you have a 8 MB core in your home directory. could you please
remove it (of course, only if you don't need it).
        Nadav.
------------------------------------

Isn't that amusing - getting all upset over a "giant" 8 MB core file?
Yes, the times surely are a-changing :)

I also found in the same folder an email from June 1993 telling the same guy
I had just installed "xmosaic" :) (NCSA Mosaic was Netscape's predecessor,
if anyone forgot).

-- 
Nadav Har'El                        |      Wednesday, Sep 4 2002, 27 Elul 5762
[email-masked]             |-----------------------------------------
Phone: +972-53-245868, ICQ 13349191 |I considered atheism but there weren't
http://nadav.harel.org.il           |enough holidays.

---

From: Oleg Goldshmidt <[email-masked]>
Date: 04 Sep 2002 19:58:46 +0300

"Nadav Har'El" <[email-masked]> writes:

> across an amusing email. 

I come across an amusing email (or news posting) a few times a
week. Here is today's harvest from comp.lang.lisp:

> > > (note: i haven't seen this thread until now, so what follows has
> > > nothing to do with this flame exchange)
> > 
> >   You are right.  ...
> 
> i know

> Isn't that amusing - getting all upset over a "giant" 8 MB core file?

A couple of personal recollections: in 1991 I once inadvertently ate
up the monthly bidget (in dollars or shekels - I don't remember) of a
whole department in TAU. When the department head confronted me with
this finding I couldn't understand what he was talking about - the
only program I ran should have been really fast. Of course, upon
further inspection, there was an infinite loop in it, but what has
that got to do with anything?

That was before the times when Sun workstations (and X-terminals)
appeared en mass on the desks of faculty members. Computations ran on
a CDC computer at the Computing Center that was time-shared, and the
time used was measured in shekels, with quotas.

Of course removing unused *.o, core, etc was a habit then...

Another recollection: Harvey Stein, one of the founders of IGLU,
calculated some years ago (1996? 1997?) that the price of a MB of RAM
had become cheaper than the price of a MB of magnetic hard drive 15
years before.

And yet another: maybe 3 years ago (or less) I bought a new 8GB HD for
my home computer (a Pentium 166 MHz). The old 1.2 GB disk that had
served me faithfully became available for playing with stuff. Our
friend Ira gave me a SuSE 6.4 CD (here is the time frame for you) and
I decided to install it and check out what it looked like. I skipped
games and other candy, but decided to install the development tools
and docs. It didn't fit...

> Yes, the times surely are a-changing :)

You are right... ;-)

-- 
Oleg Goldshmidt | [email-masked] 
=================================================================
"... Of theoretical physics and programming, programming embodied 
the greater intellectual challenge." [E.W.Dijkstra, 1930 - 2002.]